Bug 802582 - RFE: Make search functionality in document list case-insensitive
RFE: Make search functionality in document list case-insensitive
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Linux
unspecified Severity low
: ---
: 1.6-beta-1
Assigned To: David Mason
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 21:15 EDT by Hedda Peters
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120511-0019)
Doc Type: Bug Fix
Doc Text:
Cause Document list filter was case-sensitive. Consequence Users may have difficulty finding a document if they do not remember the exact case of the document name. Change A 'case sensitive' checkbox has been added to the document list page next to the filter text box, with default state of case insensitive. Result By default, when a search phrase or comma-separated list of search phrases are entered in the filter textbox, any document that does not contain any of the search phrases, without regard for case, in its path+name will be hidden. Checking the 'case sensitive' checkbox will cause documents that do not match the exact case to be hidden as well.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-03-12 21:15:00 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

I suggest to make the search functionality in document list case-insensitive 

Reproducible: Always

Steps to Reproduce:
1. Open a project with several documents
2. Type e.g. "users" to find the document "Users_and_Roles.po"

Actual Results:  
The file "Users_and_Roles.po" won't be found

Expected Results:  
The file "Users_and_Roles.po" should be found

Only when checking the box "Exact match only" I expect the search to be case sensitive.
Comment 1 David Mason 2012-04-27 00:39:26 EDT
The "Exact match only" functionality will only match the exact full path and name of the document.

e.g. with the following documents:

  document
  path/to/document
  path/document
  to/document

the search "document" will normally match any of these, but with "Exact match only" it will only match the first document in the list.

Is this useful to have, in addition to choosing case sensitive or insensitive (with case insensitive as the default), or should case sensitivity replace the current exact match option?
Comment 2 David Mason 2012-04-27 04:38:39 EDT
Note that the document search box can take a comma-separated list, so a workaround for short queries for the moment could be to enter "users, Users" in the box.
Comment 3 Hedda Peters 2012-04-29 21:09:48 EDT
(In reply to comment #1)
> The "Exact match only" functionality will only match the exact full path and
> name of the document.
> 
> e.g. with the following documents:
> 
>   document
>   path/to/document
>   path/document
>   to/document
> 
> the search "document" will normally match any of these, but with "Exact match
> only" it will only match the first document in the list.
> 
> Is this useful to have, in addition to choosing case sensitive or insensitive
> (with case insensitive as the default)

Yes, I think this could be useful to have. 

> or should case sensitivity replace the
> current exact match option?

No, I wouldn't replace one with the other. Seeing that the exact match option is already implemented, I would not take it away again - it might come in handy in some situations.
Comment 4 David Mason 2012-05-09 21:28:56 EDT
Implemented in in 1.6.0-alpha-3-SNAPSHOT

A 'case sensitive' checkbox has been added to the document list page next to the filter text box. Default state is case insensitive.

See: https://github.com/zanata/zanata/commit/9e9efce21b083bffcfea24f4a5580cb95040dc5d
Comment 5 Joyce Chang 2012-05-10 23:03:58 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120511-0019).
Comment 6 David Mason 2012-06-05 22:08:50 EDT
Added tooltips to filter textbox, "case sensitive" checkbox and "exact search" checkbox to allow easier discovery of functionality.

See: https://github.com/zanata/zanata/commit/1ff6a9cb2e8d128efce167dc6ea0f364a505ed54
Comment 7 David Mason 2012-06-05 22:08:50 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A 'case sensitive' checkbox has been added to the document list page next to the filter text box, with default state of case insensitive.
By default, when a search phrase or comma-separated list of search phrases are entered in the filter textbox, any document that does not contain any of the search phrases, without regard for case, in its path+name will be hidden. Checking the 'case sensitive' checkbox will cause documents that do not match the exact case to be hidden as well.
Comment 8 David Mason 2012-06-05 23:06:16 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1,11 @@
+Cause
+Document list filter was case-sensitive.
+
+Consequence
+Users may have difficulty finding a document if they do not remember the exact case of the document name.
+
+Change
 A 'case sensitive' checkbox has been added to the document list page next to the filter text box, with default state of case insensitive.
+
+Result
 By default, when a search phrase or comma-separated list of search phrases are entered in the filter textbox, any document that does not contain any of the search phrases, without regard for case, in its path+name will be hidden. Checking the 'case sensitive' checkbox will cause documents that do not match the exact case to be hidden as well.

Note You need to log in before you can comment on or make changes to this bug.